
    
    .Legacy_Hc-section {
      padding: 50px 0;
    
     
    }

    /* --- Heading --- */
    .Legacy_Hc-heading {
      color: rgba(32, 63, 84, 1);
    font-size: clamp(1.5rem, 1.1286rem + 1.5238vw, 2.5rem);
    font-weight: 700;
    text-align: center;
    margin-bottom: 3.5rem;
    letter-spacing: 2%;
    line-height: 120%;
    }

    /* --- Statistics Cards --- */
    .Legacy_Hc-card {
      background-color: #fff6f2; 
      border: 1px solid #f9d8c9;
      padding: 3rem 1.5rem;
      text-align: center;
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }

    
    .Legacy_Hc-value-wrapper {
      display: flex;
    align-items: center;
    justify-content: center;
    color: rgba(242, 104, 34, 1);
    font-size: clamp(1.25rem, 0.7857rem + 1.9048vw, 2.5rem);
    font-weight: 700;
    margin-bottom: 0.5rem;
    }

    
    .odometer {
      font-family: inherit;
      font-weight: 700;
    }

    
    .Legacy_Hc-suffix {
      margin-left: 2px;
    }
    
    .Legacy_Hc-divider {
      margin: 0 4px;
    }

    .Legacy_Hc-label {
      color: rgba(242, 104, 34, 1);
    font-size: clamp(0.75rem, 0.5643rem + 0.7619vw, 1.25rem);
    font-weight: 400;
    margin: 0;
    letter-spacing: 2%;
    line-height: 120%;
    }


    @media (max-width:767px){
      .Legacy_Hc-card{
          padding: 1rem 1.5rem;
    }
    .Legacy_Hc-heading {
   
    margin-bottom: 0.5rem;
  
}
    }